/*
 * Copyright (C) 2010 EPFL (Ecole Polytechnique fédérale de Lausanne)
 * Transport and Mobility Laboratory (Transp-OR)
 *
 * This file is part of COBI.
 *
 * COBI is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * COBI is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * COBI; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
 * Suite 330, Boston, MA 02111-1307 USA.
 *
 * Author: Javier Cruz-Mota
 *         javier.cruz{AT}epfl.ch
 *         http://transp-or2.epfl.ch/pagesPerso/javier.php
 *
 */

#ifndef LOADWINDOW_H
#define LOADWINDOW_H

#include <QtGui/QDialog>
#include <QDirModel>
#include "ui_LoadWindow.h"

// Class for choosing the input video file
class LoadWindow : public QDialog
{
    Q_OBJECT

public:
    LoadWindow(QWidget *parent = 0);
    ~LoadWindow();
    QString getVideoPath();
    QString getVideoFile();

private slots:
	void on_homeButton_clicked();
	void on_loadButton_clicked();

private:
    Ui::LoadWindowClass ui;
    QDirModel *model;
    QWidget *parent;
    QString videoPath;
    QString videoFile;

};

#endif // LOADWINDOW_H
