/*
 * Copyright (C) 2010 EPFL (Ecole Polytechnique fédérale de Lausanne)
 * Transport and Mobility Laboratory (Transp-OR)
 *
 * This file is part of COBI.
 *
 * COBI is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * COBI is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * COBI; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
 * Suite 330, Boston, MA 02111-1307 USA.
 *
 * Author: Javier Cruz-Mota
 *         javier.cruz{AT}epfl.ch
 *         http://transp-or2.epfl.ch/pagesPerso/javier.php
 *
 */

#include "OutputQualityWindow.h"

// Constructor
OutputQualityWindow::OutputQualityWindow(QWidget *parent, int q)
    : QDialog(parent)
{
	ui.setupUi(this);
	quality = q;
	ui.horizontalSlider->setValue(q);
	ui.horizontalSlider->setMaximum(MINQUALITY);
	ui.horizontalSlider->setMinimum(MAXQUALITY);
}

// Destructor
OutputQualityWindow::~OutputQualityWindow()
{
	delete ui.label;
	delete ui.label_2;
	delete ui.label_3;
	delete ui.pushButton;
	delete ui.horizontalSlider;
}

// Returns the value of the quality that has been chosen
int OutputQualityWindow::getValue()
{
	return quality;
}

// Called when the "OK" button is clicked
void OutputQualityWindow::on_pushButton_clicked()
{
	int tmpValue = ui.horizontalSlider->value();
	quality = (tmpValue<MAXQUALITY)?MAXQUALITY:tmpValue;
	quality = (quality>MINQUALITY)?MINQUALITY:quality;
	this->accept();
}
