/*
 * Copyright (C) 2010 EPFL (Ecole Polytechnique fédérale de Lausanne)
 * Transport and Mobility Laboratory (Transp-OR)
 *
 * This file is part of COBI.
 *
 * COBI is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * COBI is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * COBI; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
 * Suite 330, Boston, MA 02111-1307 USA.
 *
 * Author: Javier Cruz-Mota
 *         javier.cruz{AT}epfl.ch
 *         http://transp-or2.epfl.ch/pagesPerso/javier.php
 *
 */

#include "ReadBufferWindow.h"

// Constructor
//   Parameters:
//      parent -> pointer to the parent QWidget
//      bs     -> size of the lists
ReadBufferWindow::ReadBufferWindow(QWidget *parent, int bs)
    : QDialog(parent)
{
	ui.setupUi(this);
	bufferSize = bs;
	ui.spinBox->setValue(bs);
}

// Destructor
ReadBufferWindow::~ReadBufferWindow()
{
	delete ui.spinBox;
	delete ui.pushButton;
	delete ui.label;
}

// Returns the chosen size
int ReadBufferWindow::getValue()
{
	return bufferSize;
}

// Called when "OK" button is clicked
void ReadBufferWindow::on_pushButton_clicked()
{
	int tmpValue = ui.spinBox->value();
	bufferSize = (tmpValue>MAXBUFFERSIZE)?MAXBUFFERSIZE:tmpValue;
	bufferSize = (bufferSize<MINBUFFERSIZE)?MINBUFFERSIZE:bufferSize;
	this->accept();
}
